autofs-5.0.6 - fix sss map age not updated

From: Ian Kent <ikent@redhat.com>

The map source age field should be updated when the map is read for
map entry cache cleanup.
---

 CHANGELOG            |    1 +
 modules/lookup_sss.c |    2 ++
 2 files changed, 3 insertions(+), 0 deletions(-)


diff --git a/CHANGELOG b/CHANGELOG
index a914e8a..2b6b08c 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -55,6 +55,7 @@
 - check if /etc/mtab is a link to /proc/self/mounts.
 - fix nfs4 contacts portmap.
 - make autofs wait longer for shutdown completion.
+- fix sss map age not updated.
 
 28/06/2011 autofs-5.0.6
 -----------------------
diff --git a/modules/lookup_sss.c b/modules/lookup_sss.c
index a1155c0..e0b84cc 100644
--- a/modules/lookup_sss.c
+++ b/modules/lookup_sss.c
@@ -362,6 +362,8 @@ int lookup_read_map(struct autofs_point *ap, time_t age, void *context)
 
 	endautomntent(ap->logopt, ctxt, &sss_ctxt);
 
+	source->age = age;
+
 	return NSS_STATUS_SUCCESS;
 }
 
